function [sys,x0,str,ts] = operacion(t,x,u,flag,opcion)

switch flag
case 0 % Inicializacin
sys = [	1, % nmero de estados continuos
  		 	0, % nmero de estados discretos
			2, % nmero de salidas
			2, % nmero de entradas (seales a operar)
			0, % reservado, debe ser cero
			1, % flag de alimentacin directa
         1]; % nmero de periodos de muestreo
      
x0 = 0; % inicializacin del vector de estados
str = [];
ts = [0 0]; % periodo de muestreo: [periodo, offset]
case 1 % Derivadas: colocar
   sys=0;  
case 2 % Actualizacin Discreta
	sys = [];% no hacer nada
case 3 % Salidas
   switch opcion
   case 1
      sys=[u(1)+u(2);u(1)-u(2)];
   case 2
      sys=[u(1)*u(2);u(1)/u(2)];
   otherwise
      disp('Error de Opcion');
   end;
case 9 % Terminar
 sys = []; % no hacer nada
otherwise
   error(['unhandled flag = ',num2str(flag)]);
end;


