%Recalcula los parmetros modificados

%parametros de la trayectoria
w=tra.v/tra.r;
tra.a=w^2/(4*pi*N);%aceleracin angular (en la fase inicial)
beta=asin(hov.rl/sqrt(1+hov.rl^2));%angulo de desviacin de la direcin radial
tra.gamma=pi-beta;
s=load(archivo);
%interpolacin
tmax=max(s.t);
h=tmax/100;
tra.t=0:h:tmax;
tra.x=interp1(s.t,s.x,tra.t,'spline');
tra.y=interp1(s.t,s.y,tra.t,'spline');
tra.vx=diff(tra.x)/h;tra.vx(end+1)=tra.vx(end);
tra.ax=diff(tra.vx)/h;tra.ax(end+1)=tra.ax(end);
tra.vy=diff(tra.y)/h;tra.vy(end+1)=tra.vy(end);
tra.ay=diff(tra.vy)/h;tra.ay(end+1)=tra.ay(end);
tra.T=s.T;

set_param('hovsin','simulationcommand','update');%actualiza parmetros en simulink

